diff --git a/firmware/controllers/algo/obd_error_codes.h b/firmware/controllers/algo/obd_error_codes.h
index 95e26c4fc8d..7d668a8c0ca 100644
--- a/firmware/controllers/algo/obd_error_codes.h
+++ b/firmware/controllers/algo/obd_error_codes.h
@@ -1722,7 +1722,7 @@ typedef enum {
 	 * This error happens if some pinout configuration changes were applied but ECU was not reset afterwards.
 	 */
 	CUSTOM_OBD_ANALOG_INPUT_NOT_CONFIGURED = 6038,
-	CUSTOM_OBD_39 = 6039,
+	CUSTOM_OBD_WRONG_ADC_MODE = 6039,
 
 	CUSTOM_OBD_LOW_CAN_PERIOD = 6040,
 	CUSTOM_OBD_KNOCK_PROCESSOR = 6041,
diff --git a/firmware/hw_layer/adc_inputs.cpp b/firmware/hw_layer/adc_inputs.cpp
index db5771f2906..deefb757d79 100644
--- a/firmware/hw_layer/adc_inputs.cpp
+++ b/firmware/hw_layer/adc_inputs.cpp
@@ -281,7 +281,7 @@ int getInternalAdcValue(const char *msg, adc_channel_e hwChannel) {
 		return value;
 	}
 	if (adcHwChannelEnabled[hwChannel] != ADC_SLOW) {
-		warning(CUSTOM_OBD_39, "ADC is off [%s] index=%d", msg, hwChannel);
+		warning(CUSTOM_OBD_WRONG_ADC_MODE, "ADC is off [%s] index=%d", msg, hwChannel);
 	}
 
 	return slowAdc.getAdcValueByHwChannel(hwChannel);
